Skip to main content
PATCH
Update a connection's name or description

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

connectionId
string<uuid>
required

Body

application/json
org_id
string

Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.

Minimum string length: 1
connection_purpose
enum<string>
default:runtime_access
Available options:
runtime_access,
trigger_source
name
string
Required string length: 2 - 160
description
string
Maximum string length: 10000

Response

OK

connection
object
required